SMTPD(8)

NAME
smtpd - Simple Mail Transfer Protocol daemon

SYNOPSIS
smtpd [-dnv] [-D macro=value] [-f file] [-T trace]

DESCRIPTION
smtpd is a Simple Mail Transfer Protocol (SMTP) daemon which can be used as a machine's primary mail system. smtpd can listen on a network interface and handle SMTP transactions; it can also be fed messages through the standard sendmail(8) interface. It can relay messages through remote mail transfer agents or store them locally using either the mbox or maildir format. This implementation supports SMTP as defined by RFC 5321 as well as several extensions. A running smtpd can be controlled through smtpctl(8).

The options are as follows:

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not daemonize. If this option is specified, smtpd will run in the foreground and log to stderr.

-f file
    Specify an alternative configuration file.

-n  Configtest mode. Only check the configuration file for validity.

-T trace
    Show additional debug traces when one of the -v or -d flags are specified. The only accepted value is imsg, which displays the messages exchanged between the various smtpd processes.

-v  Produce more verbose output.

smtpd is not enabled by default. In order to use it as the system mailer, ensure the mail queue is empty, then stop sendmail(8):

    # pkill sendmail

Modify the current mailwrapper(8) settings by editing /etc/mailer.conf:

    sendmail	/usr/sbin/smtpctl
    send-mail	/usr/sbin/smtpctl
    mailq		/usr/sbin/smtpctl
    makemap		/usr/libexec/smtpd/makemap
    newaliases	/usr/libexec/smtpd/makemap

Rebuild the aliases database, and enable the daemon:

    # newaliases
    # echo "sendmail_flags=NO"  /etc/rc.conf.local
    # echo "smtpd_flags="  /etc/rc.conf.local
    # smtpd

FILES
/etc/mail/smtpd.conf
    Default smtpd configuration file.
/var/run/smtpd.sock
    UNIX-domain socket used for communication with smtpctl(8).

SEE ALSO
smtpd.conf(5), mailwrapper(8), smtpctl(8) RFC 5321, Simple Mail Transfer Protocol, October 2008.

HISTORY
The smtpd program first appeared in OpenBSD 4.6.